// 拳击柱质量
const BOXING_MASS = 5;
// 角度比
const ANGLE_RATIO = 2;
// 灵敏度
const SENDITIVITY = 15;


//获取boxing 消耗的卡路里
const getBoxingCalorie = function(count) {
	
	//打一拳，大约消耗的热量，是450*4/60=1.875 焦耳。
	//因为打拳一小时，需要消耗的热量是450大卡，而一分钟约打一下，一大卡是4焦耳。
	//现在大概是2s 打一下，1.875/30
	return (count * 1.875) / (4*30);
}

//获取额外的加速度 转换的卡路里
const getAccCalorie = function(acc) {
	
	//假如回弹版本的加速度最小值 是5 ,以5为基准，最大值限制是 30
	if(acc<5){
		acc =5;
	}
	if(acc>50){
		acc = 50;
	}
	
	return acc/5*0.015625;
}


export default {
	BOXING_MASS,
	ANGLE_RATIO,
	SENDITIVITY,
	getBoxingCalorie,
	getAccCalorie
	// calculation
}
